###test the traffic difference of city council websites

library(ggplot2)
library(reshape)
library(fields)
library(maps)

##London city council
data<-read.table("data_government_sites/londoncouncils.gov.uk.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(as.character(data$ReachPerMillion))
data<-na.omit(data.frame(Date=data$Date,ReachPerMillion=data$ReachPerMillion, month=data$month))
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month>=6 & data$month<=9)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results


##### Warsaw, poland
data<-read.table("data_government_sites/um.warszawa.pl.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion !=0)
Summer<-subset(data,data$month==5 | data$month==6 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##### Toronto city government, Canada
data<-read.table("data_government_sites/toronto.ca.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==6 | data$month==9)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##### Helsinki government, Finland
data<-read.table("data_government_sites/hel.fi.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data, data$month==7)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




##### Hamburg government, German
data<-read.table("data_government_sites/hamburg.de.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-subset(data,data$Date<"2013-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month>=6 | data$month<=8)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




##### Dublin, Ireland
data<-read.table("data_government_sites/dublincity.ie.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==7)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##### Paris, France
data<-read.table("data_government_sites/paris.fr.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==5 | data$month==6 | data$month==9)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




### Los ángeles, USA 
data<-read.table("data_government_sites/council.lacity.org.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==6 | data$month==7 | data$month==10 | data$month==11)
Winter<-subset(data,data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



### tokyo, Japan
data<-read.table("data_government_sites/metro.tokyo.jp.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results





### osaka, Japan
data<-read.table("data_government_sites/city.osaka.lg.jp.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==4 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results






### NewYork, USA

data<-read.table("data_government_sites/council.nyc.gov.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




### Munich, German

data<-read.table("data_government_sites/muenchen.de.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




### istanbul, Turkey

data<-read.table("data_government_sites/ibb.gov.tr.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



### Moscow, Russia

data<-read.table("data_government_sites/mos.ru.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




### Berlin, German

data<-read.table("data_government_sites/berlin.de.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



### Madrid, Spain

data<-read.table("data_government_sites/madrid.es.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2011-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



### Chicago, USA

data<-read.table("data_government_sites/cityofchicago.org.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0) 
Summer<-subset(data,data$month==5)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##Stockholm, Sweden
data<-read.table("data_government_sites/stockholm.se.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(as.character(data$ReachPerMillion))
data<-na.omit(data.frame(Date=data$Date,ReachPerMillion=data$ReachPerMillion, month=data$month))
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month>=6 & data$month<=8)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



###Oslo, Norway
data<-read.table("data_government_sites/oslo.kommune.no.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2013-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results




##Copenhagen, Denmark
data<-read.table("data_government_sites/kk.dk.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##Barcelona, Spain
data<-read.table("data_government_sites/bcn.cat.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results



##Washinton, USA
data<-read.table("data_government_sites/wa.gov.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==4 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results
