###test the planning behavior tendency across the world

library(ggplot2)
library(reshape)
library(fields)
library(maps)


data<-read.table("data_transport_sites/London mild.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month>=6 & data$month<=9)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results


##### Toronto, Canada
data<-read.table("data_transport_sites/Toronto cold.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==6 | data$month==9)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##### Helsinki, Finland
data<-read.table("data_transport_sites/Helsinki cold-hsl.fi.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data, data$month==7)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


##### Hamburg, German
data<-read.table("data_transport_sites/Hamburg.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-subset(data,data$Date<"2013-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month>=6 | data$month<=8)
Winter<-subset(data,data$month>=1 & data$month<=3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


##### Dublin, Ireland
data<-read.table("data_transport_sites/Dublin.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==7)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##### Paris, France
data<-read.table("data_transport_sites/Paris.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==5 | data$month==6 | data$month==9)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


### Los ángeles, USA 
data<-read.table("data_transport_sites/Los angeles hot.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==10 | data$month==11)
Winter<-subset(data,data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

### tokyo, Japan
data<-read.table("data_transport_sites/tokyo.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 



### osaka, Japan
data<-read.table("data_transport_sites/osaka.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==4 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

### NewYork, USA

data<-read.table("data_transport_sites/newyork.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


### Munich, German

data<-read.table("data_transport_sites/munich.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


### istanbul, Turkey

data<-read.table("data_transport_sites/istanbul.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

### Moscow, Russia

data<-read.table("data_transport_sites/moscow.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


### Berlin, German

data<-read.table("data_transport_sites/berlin.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

### Madrid, Spain

data<-read.table("data_transport_sites/madrid.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

### Chicago, USA

data<-read.table("data_transport_sites/chicago.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold)
Summer<-subset(data,data$month==5)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##### Warsaw, poland
data<-read.table("data_transport_sites/Warsaw.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion>0)
Summer<-subset(data,data$month==5 | data$month==6 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

###Oslo, Norway
data<-read.table("data_transport_sites/oslo.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2013-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==6 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==11)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 


##Copenhagen, Denmark
data<-read.table("data_transport_sites/copenhagen.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##Stockholm, Sweden
data<-read.table("data_transport_sites/stockholm.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==3 | data$month==7 | data$month==8)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##Barcelona, Spain
data<-read.table("data_transport_sites/tmb.cat.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==5 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

 

##Washinton, USA
data<-read.table("data_transport_sites/wmata.com.txt", header=T, sep=",")
data$Date<-as.Date(data$Date)
data$month<-as.numeric(format(data$Date,"%m"))
View(data)
data<-subset(data,data$Date>"2010-01-01")
data<-data.frame(Date=data$Date, ReachPerMillion=data$ReachPerMillion,month=data$month)
data<-subset(data,data$ReachPerMillion != "null")
data$ReachPerMillion<-as.numeric(data$ReachPerMillion)
upthreshold<-(mean(data$ReachPerMillion)+3*sd(data$ReachPerMillion))
lowthreshold<-(mean(data$ReachPerMillion)-3*sd(data$ReachPerMillion))
data<-subset(data,data$ReachPerMillion<upthreshold)
data<-subset(data,data$ReachPerMillion>lowthreshold & data$ReachPerMillion != 0)
Summer<-subset(data,data$month==4 | data$month==10)
Winter<-subset(data,data$month==1 | data$month==2 | data$month==3)
df1<-data.frame(Group="Sm",traffic=Summer$ReachPerMillion, date=Summer$Date)
df2<-data.frame(Group="Wt",traffic=Winter$ReachPerMillion, date=Winter$Date)
df<-melt(rbind(df1,df2),id.vars=c("Group","traffic","date"))
aov.out<-aov(traffic~Group,data=df)
results<-data.frame(mean(Summer$ReachPerMillion),mean(Winter$ReachPerMillion),summary(aov.out)[[1]][["Pr(>F)"]])
results

